#!/usr/bin/env perl

use utf8;
use AnyEvent;
use AnyEvent::HTTP;
use feature 'say';
use Data::Dumper::Simple;

my $total_request = $ARGV[0];
my $finished;

$AnyEvent::HTTP::MAX_PER_HOST = 1024;


my $url = "http://localhost:3000/valid/apikey2/layer2/ident2";

my $cv = AnyEvent->condvar;

$cv->begin;


for (1..$total_request) {
	say "start";
	$cv->begin;
	http_get $url, sub {
		my ($body, $hdr) = @_;
	
		if ($hdr->{Status} =~ /^2/) {
			$finished++;
			say Dumper($body);
			say $finished if $finished % ($total_request/10) == 0;
		} else {
			print "error, $hdr->{Status} $hdr->{Reason}\n";
		}
		$cv->end;
	};
}


$cv->end;

$cv->recv;
